class NicoTagRelation < ApplicationRecord
  belongs_to :nico_tag, class_name: 'Tag', foreign_key: 'nico_tag_id'
  belongs_to :tag, class_name: 'Tag', foreign_key: 'tag_id'

  validates :nico_tag_id, presence: true
  validates :tag_id, presence: true

  validate :nico_tag_must_be_nico

  private

  def nico_tag_must_be_nico
    if nico_tag && nico_tag.category != 'nico'
      errors.add :nico_tag_id, 'タグのカテゴリがニコニコである必要があります．'
    end
  end
end
